Package jakarta.websocket.server

## Annotation Type ServerEndpoint

    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface ServerEndpoint

### Required Element Summary

Required Elements
`java.lang.String` `value` URI or URI-template that the annotated class should be mapped to.

### Optional Element Summary

Optional Elements
`java.lang.Class<? extends ServerEndpointConfig.Configurator>` `configurator`
`java.lang.Class<? extends Decoder>[]` `decoders`
`java.lang.Class<? extends Encoder>[]` `encoders`
`java.lang.String[]` `subprotocols`

### Element Detail

#### value

    java.lang.String value

URI or URI-template that the annotated class should be mapped to.

Returns:
  The URI or URI-template that the annotated class should be mapped to.

#### subprotocols

    java.lang.String[] subprotocols

Default:
  {}

#### decoders

    java.lang.Class<? extends Decoder>[] decoders

Default:
  {}

#### encoders

    java.lang.Class<? extends Encoder>[] encoders

Default:
  {}

#### configurator

    java.lang.Class<? extends ServerEndpointConfig.Configurator> configurator

Default:
  jakarta.websocket.server.ServerEndpointConfig.Configurator.class